#!/bin/sh

XDG_DATA_HOME=${XDG_DATA_HOME:-~/.local/share}

if [ ! -s /usr/share/games/fheroes2/data/HEROES2.AGG -a \
       ! -s /usr/share/games/fheroes2/data/heroes2.agg -a \
       ! -s "$XDG_DATA_HOME"/fheroes2/data/HEROES2.AGG -a \
       ! -s "$XDG_DATA_HOME"/fheroes2/data/heroes2.agg -a \
       ! -s $HOME/.fheroes2/data/HEROES2.AGG ]; then
    echo "You need to copy files from data and maps directories from original game"
    echo "into your /usr/share/games/fheroes2/{maps,data} directories respectively"
    exec /usr/bin/fheroes2.bin "$@"
    exit 1;
fi

if [ -d "$HOME/.fheroes2" ]; then
    # migration from ~/.fheroes2 to $XDG_DATA_HOME"/fheroes2
    mkdir -p "$XDG_DATA_HOME"/fheroes2/files/save/
    stat -t "$HOME/.fheroes2/save/"* >/dev/null 2>&1 && mv -f "$HOME/.fheroes2/save/"* "$XDG_DATA_HOME"/fheroes2/files/save/ ||:
    mv -f "$HOME/.fheroes2"/{data,maps,anim,anim2,music,fheroes2.key} "$XDG_DATA_HOME"/fheroes2/ 2>/dev/null
    rm -rf "$HOME/.fheroes2"/*~ "$HOME/.fheroes2"/files
    rmdir "$HOME/.fheroes2" || mv "$HOME/.fheroes2" "$HOME/.fheroes2".rpmsave
fi

#[ -d "$HOME/.fheroes2" ] && export FHEROES2_DATA=$HOME/.fheroes2
exec /usr/bin/fheroes2.bin "$@"
